1

Similar posts have been made about this, but all involve nvidia which I do not have. I am getting the following errors printed to my terminal every time I launch something with GUI using X-ming or similar with my WSL:

libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast

These errors do not prevent me from using the programs/GUIs, but they are super annoying. I also get other errors printed to my terminal often that seemingly have no purpose or solutions. I cannot find a fix that does not relate to having an Nvidia graphics card. I have Intel HD Graphics 530 installed on this PC. Again, I'm using the windows linux subsystem.

  • Try setting export LIBGL_ALWAYS_INDIRECT=1 in the remote environment as described here: Trouble with Xming? – steeldriver Apr 30 at 19:32
  • I tried that and nothing has changed. I also tried glxinfo | grep OpenG as suggested in the same link (link) but I don't understand this output. It doesn't seem to mention a graphic card:OpenGL vendor string: Microsoft Corporation OpenGL renderer string: GDI Generic OpenGL version string: 1.1.0 OpenGL extensions: – Justine Brakefield May 1 at 23:28
  • Try with latest Ubuntu versions e.g. 18.x or 19.x. – Biswapriyo May 16 at 13:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.